=== debian/changelog ===
rickshaw (1.4.6-1) unstable; urgency=low

  * Initial upload (closes: #676631).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 24 Jan 2014 10:49:17 +0000
