=== debian/control ===
Source: rickshaw
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper (>= 9), cleancss, node-uglify, npm
Standards-Version: 3.9.5
Homepage: http://code.shutterstock.com/rickshaw/
Vcs-Git: git://anonscm.debian.org/collab-maint/rickshaw.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/rickshaw.git

Package: libjs-rickshaw
Architecture: all
Depends: ${misc:Depends}, libjs-d3
Recommends: javascript-common
Description: JavaScript toolkit for interactive time series graph
 Rickshaw is a JavaScript toolkit for creating interactive time series
 graphs. Rickshaw provides the elements you need to create interactive
 graphs: renderers, legends, hovers, range selectors, etc. You put the
 pieces together.
