=== debian/watch ===
version=3
https://github.com/shutterstock/rickshaw/tags .*/archive/v?(\d[\.\d]+).tar.gz
