## rickshaw 1.5.0.dfsg

=== debian/changelog ===
rickshaw (1.5.0.dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 18 Apr 2014 13:54:01 +0000
