=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 Package: libjs-rickshaw
 Architecture: all
-Depends: ${misc:Depends}, libjs-d3
+Depends: ${misc:Depends}, libjs-d3 (>= 3.3.6)
 Recommends: javascript-common
 Description: JavaScript toolkit for interactive time series graph
  Rickshaw is a JavaScript toolkit for creating interactive time series
