=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,11 @@
 override_dh_auto_test:
 	# needs nodeunit to be packaged
 
+dfsg:
+	rm $(CURDIR)/vendor/d3.min.js
+	rm $(CURDIR)/vendor/d3.v3.js
+	rm $(CURDIR)/vendor/d3.layout.min.js
+
 %:
 	dh $@
