## rickshaw 1.5.1.dfsg

=== Makefile ===
--- 
+++ 
@@ -14,6 +14,7 @@
 	src/css/legend.css\
 
 JS_FILES=\
+	src/helpers/startUMD.js\
 	src/js/Rickshaw.js\
 	src/js/Rickshaw.Class.js\
 	src/js/Rickshaw.Compat.ClassList.js\
@@ -50,6 +51,7 @@
 	src/js/Rickshaw.Graph.Socketio.js\
 	src/js/Rickshaw.Series.js\
 	src/js/Rickshaw.Series.FixedDuration.js\
+	src/helpers/endUMD.js\
 
 .PHONY: clean build
