=== debian/changelog ===
rickshaw (1.5.1.dfsg-6) unstable; urgency=medium

  * Team upload.
  * Fix Homepage
  * Add Vcs fields
  * d/watch: version=5 (comment: Repack-Suffix should be +dfsg)
  * d/control: Add Files-Excluded
  * d/README.source: Removed since redundant with Files-Excluded
  * d/copyright: Review
  * Do not use embedded JS/CSS files in examples to avoid privacy breach
  * Standards-Version: 4.7.2 (routine-update)
  * debputy lint --auto-fix (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 18 Nov 2025 16:22:48 +0100

rickshaw (1.5.1.dfsg-5) unstable; urgency=medium

  * Team upload
  * Fix GitHub tags regex
  * Update standards version to 4.6.0, no changes needed.

 -- Yadd <yadd@debian.org>  Tue, 09 Nov 2021 12:26:18 +0100

rickshaw (1.5.1.dfsg-4) unstable; urgency=medium

  * Team upload

  [ lintian-brush ]
  * Use secure copyright file specification URI.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Xavier Guimard ]
  * Add debian/gbp.conf
  * Modernize debian/watch
  * Replace deprecated node-uglify by uglifyjs (Closes: #979938)

 -- Xavier Guimard <yadd@debian.org>  Wed, 13 Jan 2021 09:52:29 +0100

rickshaw (1.5.1.dfsg-3) unstable; urgency=medium

  * Change package section to javascript.
  * Update packaging bits.
  * Update debhelper level to 13 .
  * Update Standards-Version to 4.5.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 02 Jan 2021 16:07:38 +0100

rickshaw (1.5.1.dfsg-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 28 Dec 2020 15:32:54 +0100

rickshaw (1.5.1.dfsg-2) unstable; urgency=medium

  * Remove npm build dependency (closes: #787051).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 18 Mar 2017 21:04:20 +0000

rickshaw (1.5.1.dfsg-1) unstable; urgency=low

  * New upstream release.
  * Add missing CSS files for examples (closes: #754954).
  * Update Standards-Version to 3.9.6 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 26 Apr 2015 15:56:35 +0000
