=== debian/control ===
Source: rickshaw
Standards-Version: 4.7.2
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders:
 Laszlo Boszormenyi (GCS) <gcs@debian.org>,
Section: javascript
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 cleancss,
 uglifyjs,
Vcs-Browser: https://salsa.debian.org/js-team/rickshaw
Vcs-Git: https://salsa.debian.org/js-team/rickshaw.git
Homepage: https://tech.shutterstock.com/rickshaw/
Rules-Requires-Root: no

Package: libjs-rickshaw
Architecture: all
Depends:
 ${misc:Depends},
 libjs-d3,
Recommends:
 javascript-common,
Suggests:
 libjs-jquery,
 libjs-jquery-ui,
Description: JavaScript toolkit for interactive time series graph
 Rickshaw is a JavaScript toolkit for creating interactive time series
 graphs. Rickshaw provides the elements you need to create interactive
 graphs: renderers, legends, hovers, range selectors, etc. You put the
 pieces together.
