=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,14 @@
 	dh_installexamples
 	sed -i 's|../vendor/d3.*.js|/usr/share/javascript/d3/d3.js|' \
 		$(EXDIR)/*.html
+	sed -i -e 's|https://ajax.googleapis.com/ajax/libs/jquery/.*/jquery.min.js|files:///usr/share/javascript/jquery/jquery.min.js|' \
+	       -e 's|http://ajax.googleapis.com/ajax/libs/jqueryui/.*/themes/base/jquery-ui.css|files:///usr/share/javascript/jquery-ui/themes/base/jquery-ui.css|' \
+	       -e 's|https://ajax.googleapis.com/ajax/libs/jqueryui/1.8.15/jquery-ui.min.js|files:///usr/share/javascript/jquery-ui/jquery-ui.min.js|' \
+	       -e 's|http://jqueryui.com/themes/base/jquery.ui.all.css|files:///usr/share/javascript/jquery-ui/themes/base/all.css|' \
+		$(EXDIR)/*.html $(EXDIR)/*/*.html
 	sed -i 's|../rickshaw.*.js|/usr/share/javascript/rickshaw/rickshaw.js|' $(EXDIR)/*.html
+	install -m0644 $(CURDIR)/src/css/*.css $(EXDIR)/css/
+	sed -i 's|../src/||' $(EXDIR)/*.html
 
 override_dh_auto_test:
 	# needs nodeunit to be packaged
