=== debian/watch ===
Version: 5

Template: Github
Owner: shutterstock
Project: rickshaw
Dversion-Mangle: auto
# FIXME: This should rather be '+dfsg'
Repack-Suffix: .dfsg
